@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

:root {
    --color-negro: #111111;
    --color-violeta-oscuro: #72408d;
    --color-violeta: #997bcf;
    --color-gris: #d5d5d5;
    --color-fondo: #f6f6f6;
    --color-blanco: #ffffff;
    --anchoPagina: 80%;
}

* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
    list-style: none;
}

body {
    background-color: var(--color-fondo);
    font-family: Arial, Helvetica, sans-serif;
}

body a {
    text-decoration: none;
    color: var(--color-violeta);
}

header {
    font-family: "Montserrat", sans-serif;
    background-color: var(--color-negro);
    color: var(--color-blanco);
    display: grid;
    grid-template-columns: 4fr 6fr;
    align-items: center;
    padding: 10px;
}

header img {
    margin-left: 130px;
}

header nav ul {
    font-size: 0.9em;
    font-weight: bold;
    display: grid;
    grid-template-columns: repeat(8, auto);
    justify-items: center;
}


header nav ul li a {
    color: var(--color-blanco);
    text-decoration: none;
    display: block;
    padding: 10px;
}


header nav ul li a:hover {
    border-bottom: 2px solid var(--color-violeta);
}

#iconomenu {
    display: none;
    font-size: 1.4em;
}

main {
    width: var(--anchoPagina);
    margin: auto;
    display: grid;
    grid-template-columns: 3fr 1fr;
    gap: 40px;
}

h1 {
    margin-top: 15px;
    margin-bottom: 15px;
    font-size: 3em;
}


h2 {
    margin-top: 15px;
    margin-bottom: 15px;
    font-size: 2em;
}

h3 {
    margin-top: 15px;
    margin-bottom: 15px;
    font-size: 1.7em;
}

main section:first-child>p {
    font-weight: bold;
}

main section:first-child>form {
    background-color: var(--color-violeta-oscuro);
    color: var(--color-blanco);
    margin-top: 10px;
    margin-bottom: 50px;
    display: grid;
    grid-template-columns: auto auto auto;
    justify-items: center;
    align-items: center;
    font-size: 0.9em;
    font-weight: bold;
    padding: 10px;
}

main section:first-child>form select {
    border: 1px solid var(--color-blanco);
    min-width: 150px;
    background-color: var(--color-violeta-oscuro);
    color: var(--color-blanco);
    padding: 8px;
}

main section:first-child>form div ul {
    display: grid;
    grid-template-columns: repeat(5, auto);
    gap: 10px;
    justify-items: center;
}

main section:first-child>form div ul i {
    font-size: 1.2em;
    cursor: pointer;
}

#inmuebles {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
}

#inmuebles li article {
    background-color: var(--color-blanco);
}

#inmuebles li article img {
    width: 100%;
}

#inmuebles li article p:nth-child(2) {
    font-weight: bold;
    font-size: 1.1em;
    padding-bottom: 10px;
    padding-top: 10px;
    margin: 15px;
    line-height: 1.4em;
    border-bottom: 1px dotted var(--color-violeta-oscuro);
}

#inmuebles li article p:nth-child(3) {
    font-weight: bold;
    font-size: 1.4em;
    color: var(--color-violeta-oscuro);
    padding-bottom: 10px;
    padding-top: 10px;
    margin: 15px;
}

main aside {}



main aside select {
    border: 1px solid var(--color-gris);
    width: 100%;
    padding: 8px;
    padding-left: 20px;
    background-color: var(--color-blanco);
    margin-top: 10px;
    margin-bottom: 10px;
}

main aside label {
    font-weight: bold;
    display: block;
    margin-top: 10px;
    margin-bottom: 10px;
    font-size: 0.9em;
}

main input[type="range"] {
    width: 100%;
    margin-top: 10px;
    margin-bottom: 10px;
    color: var(--color-violeta-oscuro);
    accent-color: var(--color-violeta-oscuro);

}

#botones {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10px;
    margin-top: 40px;
    margin-bottom: 40px;
}

.boton1 {
    background-color: var(--color-fondo);
    padding: 12px;
    color: var(--color-negro);
    border: 2px solid var(--color-negro);
    font-size: 0.9em;
    font-weight: bold;
}


.boton1:hover {
    color: var(--color-violeta);
    border: 2px solid var(--color-violeta);
}

.boton2 {
    background-color: var(--color-violeta);
    padding: 12px;
    color: var(--color-negro);
    border: 0px;
    font-size: 0.9em;
    font-weight: bold;
    border-bottom: 3px solid var(--color-violeta-oscuro);
}

.boton2:hover {
    border-bottom: 3px solid var(--color-violeta);
}

.cienxcien {
    display: block;
    width: 100%;
}

#contacto {
    display: grid;
    grid-template-columns: 1fr 1fr;
}

#contacto p {
    line-height: 1.5em;
}

#paginador {
    width: 50%;
    margin: auto;
}

#paginador ul {
    display: grid;
    grid-template-columns: repeat(10, auto);
    gap: 2px;
    justify-items: center;
}

#paginador ul li {
    display: inline-block;
    background-color: var(--color-blanco);
    font-size: 0.9em;
    font-weight: bold;
}

#paginador ul li a {
    padding: 10px;
    display: block;
    width: 100%;
    height: 100%;
    color: var(--color-negro);
    border: 1px solid var(--color-gris);
}

#paginador ul li a:hover {
    border: 1px solid var(--color-violeta);
    color: var(--color-violeta);
}

#paginador ul li a.seleccionado {
    background-color: var(--color-violeta);
    color: var(--color-blanco);
}

#paginador ul li a.seleccionado:hover {
    color: var(--color-blanco);
    border: 0px;
}

footer {
    background-color: var(--color-negro);
    color: var(--color-gris);
    padding-top: 50px;
    padding-bottom: 50px;
    margin-top: 50px;
}

footer>div {
    display: grid;
    grid-template-columns: 3fr 2fr;
    align-items: center;
    width: var(--anchoPagina);
    margin: auto;
}


footer nav ul {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;
    justify-items: center;
}

footer nav ul li a {
    color: var(--color-gris);
}

/* 
Estilos readaptados 
****************************************
*/


.noUi-connect {
    background-color: var(--color-violeta-oscuro);
}

.noUi-horizontal {
    height: 5px;
}

.noUi-horizontal .noUi-handle {
    top: -13px;
}

/* modo responsi */

@media (max-width: 800px) {

    header {
        display: grid;
        grid-template-columns: 1fr;
        gap: 8px;
    }

    header img {
        display: none;
    }

    header nav {
        display: none;
    }

    header nav ul {
        display: grid;
        grid-template-columns: 1fr;
        justify-items: left;
    }

    #iconomenu {
        display: block;
    }

    main {
        width: 96%;
        grid-template-columns: 1fr;
        gap: 40px;
    }

    main section:first-child>form {
        grid-template-columns: 1fr;
        justify-items: unset;
        align-items: center;
    }

    main section:first-child>form select {
        width: 100%;
        margin-top: 10px;
        margin-bottom: 10px;
    }

    #inmuebles {
        grid-template-columns: 1fr;
    }


    #paginador {
        width: 100%;
        max-width: 100%;
        margin: auto;
    }

    #paginador ul {
        gap: 0px;
    }

    #paginador ul li a {
        padding: 7px;
    }


    footer>div {
        grid-template-columns: 1fr;
    }

    footer nav ul {
        grid-template-columns: 1fr;
        background-color: var(--color-violeta-oscuro);
        padding: 10px;
        border-radius: 8px;
        margin-top: 10px;
    }
}